/* Colors */
/* Functions */

/* Telegram Marketing */
.tg-marketing {
    position: fixed;
    bottom: 95px;
    right: 25px;
    z-index: 500;
    display: flex;
    flex-flow: column;
    align-items: flex-end;
}
.tg-marketing a {
    width: 50px;
    height: 40px;
    border-radius: 4px;
    display: flex;
    color: #fff;
    transition: all 0.3s;
    position: relative;
    z-index: 1;
}
.tg-marketing a img {
  width: 50px;
}
.rb23-container {
    padding: 0 20px;
    width: 100%;
    max-width: 1920px;
    display: flex;
    margin: 0 auto;
  }
  .rb23-grid {
    display: grid;
  }
  .rb23-flex-col {
    flex-flow: column;
  }
  .rb23-image {
    display: flex;
  }
  @keyframes shine {
    to {
      background-position-x: -200%;
    }
  }
  .rb23-skeleton-loading {
    background: #42444F;
    background: linear-gradient(110deg, #42444F 8%, #292B34 18%, #42444F 33%);
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    border-radius: 5px;
    background-size: 200% 100%;
    animation: 1.5s shine linear infinite;
  }
  .rb23-skeleton-loading.rb23-dark {
    background: #292B34;
    background: linear-gradient(110deg, #292B34 8%, #16171C 18%, #292B34 33%);
    background-size: 200% 100%;
  }
  
  .swal2-container {
    z-index: 991060 !important;
  }
  .rb23-sms-onay {
    font-size: 15px;
    color: #e8e8eb;
    background-color: #3B82F6;
    font-family: 'Exo', sans-serif;
    cursor: pointer;
  }
  .rb23-sms-onay .rb23-container {
    display: flex;
    align-items: center;
    gap: 8px;
    justify-content: space-around;
    padding: 6px 22px;
  }
  .rb23-sms-onay .rb23-so-btn {
    padding: 5px 12px;
    border: 1px solid #161619;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    font-size: 13px;
    text-align: center;
    -moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
  }
  .rb23-sms-onay .rb23-so-btn:hover {
    background-color: #fff;
    color: #16171C;
  }
  @media screen and (max-width: 1600px) {
    .rb23-sms-onay [class*="rb23-so-"]:last-child {
    }
  }
  .swal--sms-onay {
    background: rgba(22, 23, 28, 0.8) !important;
  }
  .swal--sms-onay .swal2-popup {
    width: 536px;
    padding: 0;
    background: transparent;
  }
  .swal--sms-onay .swal2-close {
    font-size: 20px;
    display: flex;
    width: 32px;
    height: 32px;
    background: #42444F4D;
    color:#fff;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    top: 30px;
    right: 8px;
  }
  .swal--sms-onay .swal2-close:hover {
    background: #6e738e4d;
    color: #fff;
  }
  .swal--sms-onay .swal2-content {
    padding: 0;
  }
  .swal--sms-onay .smsKutu {
    width: 100%;
    height: auto;
    display: flex;
  }
  .swal--sms-onay .smsContent {
    background: #42444F;
    border: 1px solid #21232A;
    -webkit-border-radius: 0 0 4px 4px;
    -moz-border-radius: 0 0 4px 4px;
    -ms-border-radius: 0 0 4px 4px;
    border-radius: 0 0 4px 4px;
    padding: 48px 40px 40px;
  }
  .swal--sms-onay .smsContent .swal2-icon {
    margin-top: 0;
  }
  .swal--sms-onay .smsContent .smsTitle {
    font-size: 32px;
    line-height: 1.3;
    color: #fff;
    font-weight: 700;
    margin-bottom: 12px;
  }
  .swal--sms-onay .smsContent .smsDesc {
    margin-bottom: 38px;
    font-size: 14px;
    line-height: 1.4;
    color: #fff;
  }
  .swal--sms-onay .smsContent .smsInputCont {
    margin-bottom: 36px;
  }
  .swal--sms-onay .smsContent .smsInputCont input.smsInput {
    width: calc(100% - 20px);
    height: 52px;
    background: #292B34;
    border: 1px solid #21232A;
    padding-left: 20px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    color: #fff;
    margin-bottom: 0;
  }
  .swal--sms-onay .smsContent .smsInputCont input.smsInput::placeholder {
    color: #A09FA4;
  }
  .swal--sms-onay .smsContent .smsInputCont input.smsInput:focus {
    border: 1px solid #fff;
    box-shadow: none;
  }
  .swal--sms-onay .smsContent .smsInputCont .smsInputLoop {
    display: flex;
    justify-content: center;
    gap: 12px;
  }
  .swal--sms-onay .smsContent .smsInputCont .smsInputLoop input.smsInputCode {
    width: 52px;
    height: 72px;
    background-color: #292B34;
    border: 1px solid #292B34;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    font-size: 32px;
    font-weight: 700;
    color: #fff;
    box-shadow: none;
    text-align: center;
    margin: 0;
  }
  .swal--sms-onay .smsContent .smsInputCont .smsInputLoop input.smsInputCode:focus,
  .swal--sms-onay .smsContent .smsInputCont .smsInputLoop input.smsInputCode.filled {
    border-color: #fff;
  }
  .swal--sms-onay .smsContent .smsInputCont .smsInputLoop input.smsInputCode.code-error {
    border-color: #FF4040;
  }
  .swal--sms-onay .smsContent .smsInputCont .ttSmsUyari {
    font-size: 13px;
    color: #fff;
    display: none;
    margin-top: 20px;
  }
  .swal--sms-onay .smsContent .smsButtonCont {
    display: flex;
    gap: 36px;
  }
  .swal--sms-onay .smsContent .smsButtonCont .smsButton {
    flex: 1;
    background: #FFD700;
    border: 1px solid #cdaf05;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 12px;
    font-size: 24px;
    line-height: 1.4;
    color: #000;
    font-weight: 600;
    cursor: pointer;
    -moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
  }
  .swal--sms-onay .smsContent .smsButtonCont .smsButton:hover {
    background: #FFD700;
  }
  .swal--sms-onay .smsContent .smsButtonCont .smsButton2 {
    flex: 1;
    height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #FFD700;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    font-size: 15px;
    color: #16171C;
    font-weight: 700;
    -moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
  }
  .swal--sms-onay .smsContent .smsButtonCont .smsButton2:hover {
    background: #FFD700;
  }
  .swal--sms-onay .smsContent .smsButtonCont .smsButton2.smsOnay {
    flex: 2;
  }
  .swal--sms-onay .smsContent .smsButtonCont .smsButton2.smsVazgec {
    background: #292B34;
    color: #fff;
  }
  .swal--sms-onay .smsContent .smsButtonCont .smsButton2.smsVazgec:hover {
    background: #353741;
  }
  
  #rb23-body {
    background-color: #292B34;
    padding-bottom: 70px;
    line-height: 1.5;
    display: flex;
    flex-flow: column;
  }
  #rb23-body .owl-carousel .owl-stage-outer {
    margin: 0 !important;
  }
  #rb23-quick-action {
    position: fixed;
    bottom: 5px;
    right: 200px;
    z-index: 500;
    display: flex;
    flex-flow: column;
    align-items: flex-end;
  }
  #rb23-quick-action.rb23-opened .rb23-qa-btn {
    width: 200px;
    background-color: #A72929;
    -webkit-border-radius: 0 0 4px 4px;
    -moz-border-radius: 0 0 4px 4px;
    -ms-border-radius: 0 0 4px 4px;
    border-radius: 0 0 4px 4px;
  }
  #rb23-quick-action.rb23-opened .rb23-qa-btn .rb23-close {
    display: flex;
  }
  #rb23-quick-action.rb23-opened .rb23-qa-btn .rb23-open {
    display: none;
  }
  #rb23-quick-action.rb23-opened .rb23-qa-btn span[class*="rb23-"] {
    padding: 0 30px 0 8px;
  }
  #rb23-quick-action.rb23-opened .rb23-qa-menu {
    transform: translateY(0px);
    opacity: 1;
    pointer-events: initial;
  }
  #rb23-quick-action .rb23-qa-btn {
    width: 130px;
    height: 40px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    display: flex;
    color: #fff;
    background-color: #D83535;
    -moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    position: relative;
    z-index: 1;
  }
  #rb23-quick-action .rb23-qa-btn:hover {
    background-color: #FF4040;
  }
  #rb23-quick-action .rb23-qa-btn .rb23-close {
    display: none;
  }
  #rb23-quick-action .rb23-qa-btn .rb23-open {
    display: flex;
  }
  #rb23-quick-action .rb23-qa-btn span[class*="rb23-"] {
    align-items: center;
    width: 100%;
    height: 40px;
    padding: 0 8px;
    -moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
  }
  #rb23-quick-action .rb23-qa-btn svg {
    margin-right: 8px;
    min-width: 24px;
  }
  #rb23-quick-action .rb23-qa-menu {
    background-color: #16171C;
    -webkit-border-radius: 4px 4px 0 0;
    -moz-border-radius: 4px 4px 0 0;
    -ms-border-radius: 4px 4px 0 0;
    border-radius: 4px 4px 0 0;
    position: absolute;
    bottom: 100%;
    white-space: nowrap;
    width: 200px;
    transform: translateY(20%);
    opacity: 0;
    pointer-events: none;
    -moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
  }
  #rb23-quick-action .rb23-qa-menu a {
    color: #fff;
    font-size: 14px;
    padding: 12px 30px 12px 8px;
    display: flex;
    align-items: center;
    -moz-transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    border-bottom: 1px solid #21232A;
  }
  #rb23-quick-action .rb23-qa-menu a:hover {
    background-color: #21232A;
  }
  #rb23-quick-action .rb23-qa-menu a:last-child {
    border-bottom: none;
  }
  #rb23-quick-action .rb23-qa-menu a svg {
    color: #D83535;
    margin-right: 8px;
    min-width: 24px;
  }